Bug 84953 - Reducing the image size with handles on top/bottom/left side/right side, will result in proportional resizing
Summary: Reducing the image size with handles on top/bottom/left side/right side, will...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Windows (All)
: medium enhancement
Assignee: Samuel Mehrbrodt (CIB)
QA Contact:
URL:
Whiteboard: target:5.2.0
Keywords: needsDevEval
Depends on:
Blocks:
 
Reported: 2014-10-13 06:37 UTC by Ashok kumar
Modified: 2016-10-25 19:02 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Compressing the image size in Libreoffice writer from (top/bottom/left side/ right side) will provide a result of reducing the whole size of that image (1.50 MB, application/vnd.oasis.opendocument.text)
2014-10-13 06:37 UTC, Ashok kumar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ashok kumar 2014-10-13 06:37:07 UTC
Created attachment 107760 [details]
Compressing the image size in Libreoffice writer  from (top/bottom/left side/ right side) will provide a result of reducing the whole size of that image

Operating System: Windows 8
LibreOffice Writer Version: 4.3.0.2

When comparing with "Microsoft word" but not worked in "LibreOffice Writer"

If i trying to compress any image size by placing the cursor at top centered green box and dragging towards bottom, it will reducing its size from all the sides moves towards to bottom centered green box. But this will not occurred in Microsoft word.

STEP TO REPRODUCE:

1.Open LibreOffice Writer.
2.Go to Insert-->Image-->from file
3.Select any image and press open.
4.Now place the cursor at the top centered green box and drag towards to the bottom.

Actual Result:

If trying to compressing the image it will reducing its whole size from all sides.

Expected Result:

If trying to compressing the image it should compress as it is.
Comment 1 Cor Nouws 2014-10-13 08:16:29 UTC
Hi Ashok,

Thanks for this report.
As far as I remember, this behaviour has always been like this, (though in previous versions with Shft+Mouse)

I think it's a good idea to change that:
 corner handles resize proportionally
 side handles resize on direction

See what UX thinks of this.
Cor
Comment 2 Cor Nouws 2014-10-13 08:38:06 UTC
(In reply to Cor Nouws from comment #1)

> I think it's a good idea to change that:
>  corner handles resize proportionally
>  side handles resize on direction

                      _one_    :)
Comment 3 Samuel Mehrbrodt (CIB) 2014-10-13 09:00:53 UTC
Right, images should only scale proportionally by default when one of the edge handles is used.
Comment 4 Jan Holesovsky 2015-12-04 14:23:48 UTC
Agreed by the Design team: indeed, it would be good to resize non-proportionally when the handle in the middle of the edge is used (even without pressing shift).

Would be good to turn this into an Easy Hack.
Comment 5 Robinson Tryon (qubit) 2015-12-10 07:56:40 UTC Comment hidden (obsolete)
Comment 6 Commit Notification 2016-03-16 10:30:52 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e41d23abb03a0c5a5c50be290c2265513e178889

tdf#84953 Only resize proportionally when dragging on a corner

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Daniël van Vuuren 2016-06-02 15:42:26 UTC
Works in 5.2.0.0.alpha1+